Skip to content
Start here

Get Origin details

GET/radar/origins/{slug}

Retrieves the requested origin information with its regions.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details WriteUser Details Read
Path ParametersExpand Collapse
slug: "AMAZON" or "GOOGLE" or "MICROSOFT" or "ORACLE"

Origin slug.

One of the following:
"AMAZON"
"GOOGLE"
"MICROSOFT"
"ORACLE"
Query ParametersExpand Collapse
format: optional "JSON" or "CSV"

Format in which results will be returned.

One of the following:
"JSON"
"CSV"
ReturnsExpand Collapse
result: { origin }
origin: { regions, slug }
regions: array of { region }
region: string

The region code.

slug: string

The origin slug.

success: boolean

Get Origin details

curl https://api.cloudflare.com/client/v4/radar/origins/$SLUG \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "result": {
    "origin": {
      "regions": [
        {
          "region": "us-east-1"
        }
      ],
      "slug": "amazon"
    }
  },
  "success": true
}
Returns Examples
{
  "result": {
    "origin": {
      "regions": [
        {
          "region": "us-east-1"
        }
      ],
      "slug": "amazon"
    }
  },
  "success": true
}